import { setConfig } from '../config';

export type TextAreaWidgetProps = {
    default?: string;
    maxLength?: number;
    minLength?: number;
    empty?: string;
    rows?: number;
    autoExpandHeight?: boolean;
    heightLimit?: number;
    widgetId?: string;
    placeholder?: string;
};

setConfig('TextAreaWidget', {
    empty: 'N/A',
    rows: 5,
    autoExpandHeight: true,
    heightLimit: 500,
});
